View Issue Details

IDProjectCategoryView StatusLast Update
0004787Talerotherpublic2016-11-20 03:26
ReporterFlorian DoldAssigned ToMarcello Stanisci 
PriorityhighSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.2Fixed in Version0.2 
Summary0004787: Use 1e-8 instead of 1e-6 as the fractional unit of coins
DescriptionWe decided to to this because we can then represent Bitcoin's smallest currency unit.

Affects various components and configuration files.
TagsNo tags attached.

Activities

Florian Dold

2016-11-17 03:04

manager   ~0011508

The preparations in the wallet are done, assigning to Marcello now for the bank, merchant frontends and configuration.

We ideally should have at most one constant in every repository that defines the fractional base. I believe that is not the case for e.g. the frontends (and maybe the bank).

Marcello Stanisci

2016-11-17 10:21

manager   ~0011510

Why is that not the case for FEs and bank? Bank has its settings.py and
as of FEs we could define a dummy module hosting nothing but this constant
(IIUC your comment).

Marcello Stanisci

2016-11-17 10:23

manager   ~0011511

Well, the problem could arise if we need this constant in JavaScript..

Marcello Stanisci

2016-11-19 12:53

manager   ~0011534

Done for frontends (5783aeee9) and bank (0c673bea9a),
and deployment configs updated accordingly, as it's there
that they read that information.

Issue History

Date Modified Username Field Change
2016-11-14 16:23 Florian Dold New Issue
2016-11-15 15:38 root Assigned To => Florian Dold
2016-11-15 15:38 root Severity minor => tweak
2016-11-15 15:38 root Status new => assigned
2016-11-15 15:38 root Product Version => SVN HEAD
2016-11-15 15:38 root Target Version => 0.2
2016-11-17 03:04 Florian Dold Note Added: 0011508
2016-11-17 03:04 Florian Dold Assigned To Florian Dold => Marcello Stanisci
2016-11-17 10:21 Marcello Stanisci Note Added: 0011510
2016-11-17 10:23 Marcello Stanisci Note Added: 0011511
2016-11-18 15:45 Marcello Stanisci Priority normal => high
2016-11-19 12:53 Marcello Stanisci Note Added: 0011534
2016-11-19 12:54 Christian Grothoff Status assigned => resolved
2016-11-19 12:54 Christian Grothoff Resolution open => fixed
2016-11-19 12:54 Christian Grothoff Fixed in Version => 0.2
2016-11-20 03:26 Christian Grothoff Status resolved => closed